<?php
/***************************************************************************
 *							messenger_send.php
 *							-------------------
 *	begin				:	Sun July 08 2002
 *	copyright			:	(C) 2002 Smartor, 2005 Gerd Fleischer
 *	email				:	smartor_xp@hotmail.com, gerdfleischer@web.de
 *
 *	$Id: messenger_send.php,v 1.18b 2002/8/03, 20:15:39 hnt Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = './../';

include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_config.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_helper.'.$phpEx);

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if ( file_exists($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx) )
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx);
}
else
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_english.' . $phpEx);
}

include_once($phpbb_root_path . 'chatbox_mod/chatbox_function.'.$phpEx);
//
// End session management
//

// Check User Session
if (!$userdata['session_logged_in'])
{
	echo $chat_lang['Please_login'];
	exit();
}

$nick = $userdata['username'];

?>

<html>
<head>

<title><?php echo $lang['ChatBox']; ?></title>

<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang['ENCODING']; ?>">

<link rel="stylesheet" href="<?php echo $chatbox_config['stylesheet']?>" type="text/css">

<script language="JavaScript">
<!--

function clear_text()
{
	if (document.post.message.value == "<?php echo $chat_lang['Enter_message']; ?>")
	{
		document.post.message.value = "";
	}
}

function submitonce()
{
	document.post.sent.value = document.post.message.value;
	document.post.message.value = "";
}

//-->
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="window.scrollTo(0,99999);" link="#006699">

<form name="post" valign="bottom" action="<?php echo append_sid('messenger_view.'.$phpEx); ?>" target="ekran" method="POST" autocomplete=off onsubmit="submitonce()">

<input type="hidden" name="nick" value="<?php echo $nick; ?>">

<table class="formarea" width="100%" cellpadding="0" cellspacing="5">
	<tr>
		<td width="100%">
		<input type="text"
			   name="message" style="width:100%;font-size:10px;"
			   maxlength="<?php echo $chatbox_config['max_msg_len']; ?>"
			   value="<?php echo $chat_lang['Enter_message']; ?>"
			   onFocus="clear_text()"
			   class="editbox">
		<input type="hidden" name="sent" value="">
		</td>
		<td>
		<input type="submit" class="button"
			   name="submit_button"
			   value="<?php echo $chat_lang['Send'];?>">
		</td>
	</tr>
	<tr>
		<td  colspan="2" align="center">
		<a href="javascript:void(0);" onclick="window.open('../posting.php?mode=smilies', '_chatboxsmilies', 'height=300,resizable=yes,scrollbars=yes,width=275');">Smilies Box</a>
		</td>
	</tr>
</table>

<div align="center" style="font-size:10px;position:absolute;bottom:1px;width:100%;">
<!-- DONOT REMOVE THIS LINE AS YOUR RESPECT TO THE AUTHOR-->
&copy;&nbsp;2002 ChatBox by <a href="http://smartor.is-root.com" target="_blank">Smartor</a><br />
Design 2005 Chatbox BWL Special Edition by <a href="http://www.gerdfleischer.de" target="_blank">Gerdie</a>
</div>

</form>

<!--
kate: tab-width 4; indent-width 4; replace-trailing-space-save on; encoding iso-8859-1; eol dos;
-->

</body>
</html>
