<?php
/***************************************************************************
 *							messenger_view.php
 *							-------------------
 *	begin				:	Sun July 08 2002
 *	copyright			:	(C) 2002 Smartor, 2005 Gerd Fleischer
 *	email				:	smartor_xp@hotmail.com, gerdfleischer@web.de
 *
 *	$Id: messenger_view.php,v 1.18b 2002/8/03, 20:06:21 hnt Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = './../';

include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);
include_once($phpbb_root_path . 'includes/bbcode.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_config.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_helper.'.$phpEx);

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if ( file_exists($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx) )
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx);
}
else
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_english.' . $phpEx);
}

include_once($phpbb_root_path . 'chatbox_mod/chatbox_function.'.$phpEx);
//
// End session management
//

?>

<html>

<head>
<title><?php echo $lang['ChatBox']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang['ENCODING']; ?>">
<meta http-equiv="refresh" content="<?php echo $chatbox_config['refresh_time']; ?>; URL=<?php echo append_sid("messenger_view.php"); ?>">
<meta http-equiv="expires" content="0">
<meta http-equiv="cache-control" content="no-chache">
<meta http-equiv="pragma" content="no-cache">
<link rel="stylesheet" href="<?php echo $chatbox_config['stylesheet']?>" type="text/css">
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="window.scrollTo(0,99999);">

<?php

// Check User Session - Smartor
if (!$userdata['session_logged_in'])
{
	echo $chat_lang['Please_login'] . "</body></html>";
	exit();
}

// Close window if user left chat
if ( !check_user($userdata['username']) )
{
?>
	<script language="JavaScript">
	//<!--
		top.close();
	//-->
	</script>
<?php
	 // if javascript is disabled
	echo "</body></html>";
	exit();
}

// Send info to process - Smartor
if (isset($HTTP_POST_VARS['nick']) && isset($HTTP_POST_VARS['sent']))
{
	add_msg($HTTP_POST_VARS['nick'], $HTTP_POST_VARS['sent']);
}

chatters_sub();
change_list();
show_msg();

?>

</body>
</html>

<?php

function show_msg()
{
	global $board_config, $chatbox_config, $userdata, $chat_lang;

	$colour = 0; // used to change the backgrounh colours

	$msg_count = count_msg();

	$start = $msg_count - $chatbox_config['show_amount'];

	if ($start < 0)
	{
		$start = 0;
	}

	//
	// Delete too old messages
	//
	$records = get_msg(0, $msg_count, $chatbox_config['direction']);
	for ( $count = 0; $count < count($records); $count++ )
	{
		$msgs = $records[$count];

		if ( (($msgs['time']) + $chatbox_config['delete_time']) < time() )
		{
			delete_msg($msgs['time']);
		}
	}

	echo "<table cellspacing=\"0\" class=\"view\">\n";

	$records = get_msg($start, $msg_count, $chatbox_config['direction']);
	for ( $count = 0; $count < count($records); $count++ )
	{
		$chat = $records[$count];

		// Check if be kicked - Smartor
		if ($userdata['user_level'] != ADMIN)
		{
			if (($chat['nick'] == _CHATBOX_SYSTEM_MSG) && (strtolower($chat['msg']) == strtolower('system_kicked|' . $userdata['username'])))
			{
				drop_user($userdata['username']); // I need this instruction to force the victim to log out if his browser was disabled JavaScript - Smartor
				echo "\n<script language='JavaScript'>\n"; // and close his window, this chatbox connects very fast - Smartor
				echo "//<!--\n";
				echo "top.close();\n";
				echo "//-->\n";
				echo "</script>\n";
				echo "</table></body></html>";
				exit();
			}
		}

		// Normal Messages
		if (trim($chat['nick'])!="" && trim($chat['msg'])!="" && trim($chat['time'])!="")
		{
			$msg = trim($chat['msg']);

			//Expand system messages
			if ($chat['nick'] == _CHATBOX_SYSTEM_MSG)
			{
				if (substr( $msg, 0, 13) == "system_joined")
				{
					$new_user = substr($msg, 14);
					$message = sprintf($chat_lang['User_entered_chat'],
									   $new_user,
									   create_date($board_config['default_dateformat'],
												   trim($chat['time']),
												   $board_config['board_timezone']));
					$msg = "<span style='color:#006600'><i>" . $message . "</i></span>";
				}
				else if (substr( $msg, 0, 11) == "system_left")
				{
					$old_user = substr($msg, 12);
					$message = sprintf($chat_lang['User_left_chat'],
									   $old_user,
									   create_date($board_config['default_dateformat'],
									   trim($chat['time']),
									   $board_config['board_timezone']));
					$msg = "<span style='color:#660000'><i>" . $message . "</i></span>";
				}
				else if (substr( $msg, 0, 11) == "system_away")
				{
					$away_user = substr($msg, 12);
					$message = sprintf($chat_lang['User_away'],
									   $away_user,
									   create_date($board_config['default_dateformat'],
									   trim($chat['time']),
									   $board_config['board_timezone']));
					$msg = "<span style='color:#006666'><i>" . $message . "</i></span>";
				}
				else if (substr( $msg, 0, 13) == "system_online")
				{
					$online_user = substr($msg, 14);
					$message = sprintf($chat_lang['User_back_online'],
									   $online_user,
									   create_date($board_config['default_dateformat'],
									   trim($chat['time']),
									   $board_config['board_timezone']));
					$msg = "<span style='color:#000066'><i>" . $message . "</i></span>";
				}
				else if (substr( $msg, 0, 13) == "system_kicked")
				{
					$kicked_user = substr($msg, 14);
					$message = sprintf($chat_lang['Kicked'],
									   $kicked_user,
									   create_date($board_config['default_dateformat'],
									   trim($chat['time']),
									   $board_config['board_timezone']));
					$msg = "<i>" . $message . "</i>";
				}
			}

			// Smilies
			$msg = smilies_pass($msg);
			$msg = preg_replace('/images\/smiles/', '../images/smiles', $msg);

			if ($colour == 0)
			{
				$colour=1;
			}
			else
			{
				$colour=0;
			}

			if ($chatbox_config['allow_whisper'] != 0)
			{
				if ( strtolower( substr($msg, 0, 9) ) == '/whisper[' )
				{
					$whisper_user = substr( $msg, 9, strpos($msg, "]") - 9 );
					$msg = trim( substr( $msg, strpos($msg, "]") + 1) );
					if ($userdata['username'] == $whisper_user)
					{
						echo output_msg($chat['nick'], "<span style='color:#ff0000'>".$msg."</span>", $colour);
					}
					else if ($userdata['username'] == $chat['nick'])
					{
						echo output_msg($chat['nick'],
										"<span style='color:#ff0000'>".$msg."</span> (".
										$chat_lang['Whisper_to'] . " " . $whisper_user.")",
										$colour);
					}
				}
				else
				{
					echo output_msg($chat['nick'], $msg, $colour);
				}
			}
			else
			{
				echo output_msg($chat['nick'], $msg, $colour);
			}
		}
	}
	echo "</table>";
}


function add_msg($nick, $msg) // This function processes the submission from user - Smartor
{
	global $chatbox_config, $userdata, $chat_lang;

	$error = FALSE;

	$nick = stripslashes(htmlspecialchars(trim($nick)));
	$msg = htmlspecialchars(trim($msg));

	// Check Admin Command
	if ($userdata['user_level'] == ADMIN)
	{
		if ( strtolower(substr($msg, 0, 5)) == '/kick') // /KICK
		{
			$victim = trim((substr($msg, 6, strlen($msg) - 6)));
			write_msg(_CHATBOX_SYSTEM_MSG, "system_kicked|" . $victim);
			return;
		}
		elseif (strtolower($msg) == '/clear') // /CLEAR
		{
			clear_chat();
			return;
		}
	}
	// END - Check

	if ( (!isset($msg)) or ($msg == "") or (!isset($nick)) or ($nick == "") )
	{
		$error = TRUE;
	}

	if ( strlen($msg) > $chatbox_config['max_msg_len'] )
	{
		$msg = substr($msg, 0, $chatbox_config['max_msg_len']);
	}

	if ( strtolower($msg) == '/part' )
	{
?>
	<script language="JavaScript">
	//<!--
		top.close();
	//-->
	</script>
<?php
		return;
	}

	if ( strtolower($msg) == '/online' )
	{
		if ( isuser_active($nick) != "online" )
		{
			user_active($nick);
			write_msg(_CHATBOX_SYSTEM_MSG, "system_online|" . $nick);
		}
		return;
	}

	if ( strtolower( substr($msg, 0, 6) ) == '/away ' && strlen($msg) > 6)
	{
		$msg = trim(substr($msg, 6));
		$msg = "<span style='color:#660066'><strong><i>$msg</strong></i></span>";
		$msg = substr($msg, 0, $chatbox_config['max_msg_len']);
		if ($error == FALSE)
		{
			write_msg($nick, $msg);
			user_inactive($nick);
		}
	}
	else if ( strtolower($msg) == '/away' || (strtolower($msg) == '/away ' && strlen($msg) == 6) )
	{
		if ($error == FALSE)
		{
			user_inactive($nick);
		}
	}
	else
	{
		if ($error == FALSE)
		{
			write_msg($nick, $msg);
			user_active($nick);
		}
	}
}


function chatters_sub() // This function checks status of user
{
	global $chatbox_config, $board_config, $table_chatbox_session_name, $db, $chat_lang;

	$sql = "SELECT * FROM " . $table_chatbox_session_name;

    if (!$sol = $db->sql_query($sql))
	{
		die("SQL Error in function chatters_sub(): SELECT");
	}

	$isimler[0] = $db->sql_numrows($sol);

	$i=1;

	while ($record = $db->sql_fetchrow($sol))
	{
		$activity[$i]=$record[2];
		$isimler[$i++]=$record[0];
	}

	for($s = 1; $s <= $isimler[0]; $s++)
	{
		$currentact = isuser_active($isimler[$s]);

		if($currentact != $activity[$s])
		{
			if (($activity[$s] == "online") && ($currentact == "away"))
			{
				write_msg(_CHATBOX_SYSTEM_MSG, "system_away|" . $isimler[$s]);
			}

			if ($currentact == "offline")
			{
				drop_user($isimler[$s]);
			}
			else
			{
				$sql = "UPDATE " . $table_chatbox_session_name . " SET laststatus = '" . mysql_escape_string($currentact) . "' WHERE username = \"" . mysql_escape_string($isimler[$s]) . "\"";
			}

		    if (!$result = $db->sql_query($sql))
			{
				die("SQL Error in function chatters_sub(): UPDATE");
			}
		}
	}
}


function change_list()
{
?>
	<script language="JavaScript">
	//<!--
		window.parent.who.location.href = "<?php echo append_sid("messenger_list.php"); ?>";
	//-->
	</script>
<?php
}


function output_msg($nick, $msg, $colour) // Ouput message to screen -> Final Step - Smartor
{
?>
	<tr>
		<td width="100%" class="chatbox<?php echo $colour . "\"><strong>" . $nick . "</strong>: " . $msg; ?></td>
	</tr>
<?php
}


function delete_msg($timestamp)
{
	global $chatbox_config, $table_chatbox_name, $db;

	$sql = "DELETE FROM " . $table_chatbox_name . " WHERE timestamp = '".$timestamp."'";

    if (!$result = $db->sql_query($sql))
	{
		die("SQL Error in function delete_msg()");
	}
}


function clear_chat()
{
	global $chatbox_config, $table_chatbox_name, $db;

	$sql = "DELETE FROM " . $table_chatbox_name;

    if (!$result = $db->sql_query($sql))
	{
		die("SQL Error in function clear_chat()");
	}
}

// kate: tab-width 4; indent-width 4; replace-trailing-space-save on; encoding iso-8859-1; eol dos;

?>