<?php
/***************************************************************************
 *								chatbox.php
 *							-------------------
 *	begin				:	Sun July 07 2002
 *	copyright			:	(C) 2002 Smartor, 2005 Gerd Fleischer
 *	email				:	smartor_xp@hotmail.com, gerdfleischer@web.de
 *
 *	$Id: chatbox.php,v 1.17 2002/7/22 16:44:13 hnt Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = './../';

include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_config.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_helper.'.$phpEx);

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if ( file_exists($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx) )
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx);
}
else
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_english.' . $phpEx);
}

include_once($phpbb_root_path . 'chatbox_mod/chatbox_function.'.$phpEx);
//
// End session management
//

$nick = $userdata['username'];

?>
<html>
<head>
<title><?php echo $nick . " - " . $lang['ChatBox'] . " " . _CHATBOX_VERSION; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang['ENCODING']; ?>">
<link rel="stylesheet" href="<?php echo $chatbox_config['stylesheet']?>" type="text/css">
<script language="JavaScript">
//<!--
function MM_openBrWindow(theURL,winName)
{
	myWidth = screen.width/2-162;
	myHeight = screen.height/2-150;
	features = "left=" + myWidth + ",top=" + myHeight + ",scrollbars=no,resizeable=no,width=325,height=300,status=no";
	end = window.open(theURL,winName,features);
}
//-->
</script>
</head>
<?php

// Check User Session
if (!$userdata['session_logged_in'])
{
	echo "<body>" . $chat_lang['Please_login'] . "</body></html>";
	exit();
}

user_join($nick,"online");

write_msg(_CHATBOX_SYSTEM_MSG, "system_joined|" . $nick);

?>

<frameset rows="*"
		  cols="30%,*"
		  framespacing="0"
		  frameborder="0"
		  border="0"
		  onUnload="MM_openBrWindow('<?php echo append_sid("chatbox_drop.php"); ?>', 'drop')">

	<frame src="<?php echo append_sid("messenger_list.php"); ?>"
		   name="who"
		   marginwidth="0"
		   marginheight="0"
		   scrolling="no">

<frameset rows="*, 85"
		  cols="100%"
		  framespacing="0"
		  frameborder="0"
		  border="0">

	<frame src="<?php echo append_sid("messenger_view.php"); ?>"
		   name="ekran"
		   marginwidth="0"
		   marginheight="0">

	<frame src="<?php echo append_sid("messenger_send.php"); ?>"
		   scrolling="no"
		   name="sender"
		   marginwidth="0"
		   marginheight="0">

</frameset>

</frameset>

<body>
<noframes>
Your browser does not support this feature!!!
</noframes>

<!--
kate: tab-width 4; indent-width 4; replace-trailing-space-save on; encoding iso-8859-1; eol dos;
-->

</body>
</html>
