<?php
/***************************************************************************
 *							messenger_list.php
 *							-------------------
 *	begin				:	Sun July 08 2002
 *	copyright			:	(C) 2002 Smartor, 2005 Gerd Fleischer
 *	email				:	smartor_xp@hotmail.com, gerdfleischer@web.de
 *
 *	$Id: messenger_list.php,v 1.18 2002/7/23 23:13:27 hnt Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = './../';

include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_config.'.$phpEx);
include_once($phpbb_root_path . 'chatbox_mod/chatbox_helper.'.$phpEx);

error_reporting  (E_ERROR | E_WARNING | E_PARSE); // This will NOT report uninitialized variables
set_magic_quotes_runtime(0); // Disable magic_quotes_runtime

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if ( file_exists($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx) )
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_' . $board_config['default_lang'] . '.' . $phpEx);
}
else
{
	include_once($phpbb_root_path . 'chatbox_mod/chatbox-lang_english.' . $phpEx);
}

include_once($phpbb_root_path . 'chatbox_mod/chatbox_function.'.$phpEx);
//
// End session management
//

?>

<html>
<head>
<title><?php echo $lang['ChatBox']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang['ENCODING']; ?>">
<link rel="stylesheet" href="<?php echo $chatbox_config['stylesheet']?>" type="text/css">
<meta http-equiv="refresh" content="<?php echo $chatbox_config['refresh_time']; ?>; URL=<?php echo append_sid("messenger_list.php"); ?>">
<meta http-equiv="expires" content="0">
<meta http-equiv="cache-control" content="no-chache">
<meta http-equiv="pragma" content="no-cache">

<script language="JavaScript">
<!--

function insert_username(nick)
{
	msg = parent.sender.document.post.message.value;
	msg = msg + nick;
	parent.sender.document.post.message.value = msg;
	parent.sender.document.post.message.focus();
}

function insert_kick()
{
	parent.sender.document.post.message.value = "/kick ";
	parent.sender.document.post.message.focus();
}

function insert_clear()
{
	parent.sender.document.post.message.value = "/clear";
	parent.sender.document.post.message.focus();
}

function insert_part()
{
	parent.sender.document.post.message.value = "/part";
	parent.sender.document.post.message.focus();
}

function insert_away()
{
	parent.sender.document.post.message.value = "/away ";
	parent.sender.document.post.message.focus();
}

function insert_online()
{
	parent.sender.document.post.message.value = "/online";
	parent.sender.document.post.message.focus();
}

function insert_whisper()
{
	parent.sender.document.post.message.value = "/whisper[]";
	parent.sender.document.post.message.focus();
}

//-->
</script>

</head>
<body leftmargin="2" topmargin="2" marginwidth="0" marginheight="0" link="#006699">
<?php

// Check User Session
if (!$userdata['session_logged_in'])
{
	echo $chat_lang['Please_login'] . "</body></html>";
	exit();
}

echo "<table cellspacing=\"0\" class=\"view\">\n";
echo who_are_on_chat();
echo "</table>\n";
?>

<br />

<table style="font-size:10px;line-height:120%;">
<?php
if ($userdata['user_level'] == ADMIN)
{
?>

  <tr>
    <td>
      <strong>Admin:</strong><br />
      <span onclick="insert_kick();">
<?php
        echo $chat_lang['Rules_kick'] . '<br />';
?>
        /kick user
      </span>
    </td>
  </tr>
  <tr>
    <td>
      <span onclick="insert_clear();">
<?php
        echo $chat_lang['Rules_clear'] . '<br />';
?>
        /clear
      </span>
    </td>
  </tr>
  <tr>
    <td>
      <strong>
<?php
        echo $chat_lang['Rules_all_users'];
?>
</strong><br />
<?php
} else {
    echo "  <tr>\n";
    echo "    <td>\n";
}
?>
      <span onclick="insert_part();" style="color:#660000;">
<?php
        echo $chat_lang['Rules_part'] . "<br />\n";
        echo "/part<br />\n";
        echo $chat_lang['Rules_close_window'];
?>
      </span>
    </td>
  </tr>
  <tr>
    <td>
      <span onclick="insert_away();" style="color:#006666;">
<?php
        echo $chat_lang['Rules_away'] . '<br />';
?>
        /away<br />
        /away
      </span>
      <span onclick="insert_away();" style="color:#660066;">
<?php
        echo $chat_lang['Rules_away_reason'];
?>
      </span>
    </td>
  </tr>
  <tr>
    <td>
      <span onclick="insert_online();" style="color:#000066;">
<?php
        echo $chat_lang['Rules_online'] . '<br />';
        echo "/online<br />\n";
        echo $chat_lang['Rules_online_simple'];
?>
      </span>
    </td>
  </tr>
<?php
if ($chatbox_config['allow_whisper']) {
?>
  <tr>
    <td>
      <span onclick="insert_whisper();" style="color:#ff0000;">
<?php
        echo $chat_lang['Rules_whisper'] . '<br />';
        echo "/whisper[user] " . $chat_lang['Rules_whisper_message'] . "<br />\n";
?>
      </span>
    </td>
  </tr>
<?php
}
?>
</table>

<div style="position:absolute;bottom:0px;height:79px;">
  <table>
    <tr>
      <td style="font-size:10px;">
<?php
        echo $chat_lang['Allow_popups'];
?>
      </td>
    </tr>
  </table>
</div>

</body>
</html>

<?php

function who_are_on_chat()
{
	global $chatbox_config, $table_chatbox_session_name, $db, $chat_lang;

	$sql = "SELECT * FROM " . $table_chatbox_session_name;

    if (!$sol = $db->sql_query($sql))
	{
		die("SQL Error in function who_are_on_chat()");
	}

	$isimler[0] = $db->sql_numrows($sol);

	$i = 1;

	while ($record = $db->sql_fetchrow($sol))
	{
		$isimler[$i++] = $record['username'];
	}

	$online = "<tr><td class=\"chatbox0\">".
			   "<strong>" . $chat_lang['Online'] . "</strong>:</td></tr>\n".
			   "<tr><td class=\"chatbox1\">";

	$away = "<tr><td class=\"chatbox0\">".
			"<strong>" . $chat_lang['Away'] . "</strong>:</td></tr>\n".
			"<tr><td class=\"chatbox1\">";

	for($s = 1; $s <= $isimler[0]; $s++)
	{
		if(isuser_active($isimler[$s]) == "online")
		{
			$online .= "<span onclick='insert_username(\"" . $isimler[$s] . "\");'>";
			$online .= $isimler[$s]."<br /></span>";
		}
		if(isuser_active($isimler[$s]) == "away")
		{
			$away .= "<span onclick='insert_username(\"" . $isimler[$s] . "\");'>";
			$away .= $isimler[$s]."<br /></span>";
		}
	}

	$online .= "</td></tr>\n";
	$away .= "</td></tr>\n";

	$chatters = $online . $away;

	return $chatters;
}

// kate: tab-width 4; indent-width 4; replace-trailing-space-save on; encoding iso-8859-1; eol dos;

?>